
import com.imsl.chart.*;
import java.awt.Color;
import com.imsl.stat.Random;

public class SampleHorizontalErrorBar extends JFrameChart {

    public SampleHorizontalErrorBar() {
        Random r = new Random(123457);

        Chart chart = getChart();
        AxisXY axis = new AxisXY(chart);

        // Generate a random data set, with random errors in x
        int n = 20;
        double x[] = new double[n];
        double y[] = new double[n];
        double low[] = new double[n];
        double high[] = new double[n];
        for (int k = 0; k < n; k++) {
            x[k] = k;
            y[k] = r.nextDouble();
            low[k] = x[k] - 5. * r.nextDouble();
            high[k] = x[k] + 5. * r.nextDouble();
        }

        ErrorBar data = new ErrorBar(axis, x, y, low, high);
        data.setDataType(
                ErrorBar.DATA_TYPE_ERROR_X | ChartNode.DATA_TYPE_MARKER);
        data.setMarkerType(Data.MARKER_TYPE_FILLED_CIRCLE);
        data.setMarkerColor(Color.red);
    }

    public static void main(String argv[]) {
        new SampleHorizontalErrorBar().setVisible(true);
    }
}
